Package Details: staruml 3.2.2-2

Git Clone URL: https://aur.archlinux.org/staruml.git (read-only, click to copy)
Package Base: staruml
Description: A sophisticated software modeler
Upstream URL: http://staruml.io/
Licenses: custom:staruml
Submitter: mkusher
Maintainer: leledumbo
Last Packager: leledumbo
Votes: 61
Popularity: 0.191429
First Submitted: 2015-03-28 11:40
Last Updated: 2020-10-07 06:50

Latest Comments

1 2 3 4 5 6 ... Next › Last »

pydvlpr commented on 2020-11-30 15:00

Dear maintainer, can you test the PKGBUILD of farseerfc yourself and update the aur-package? Thx

Sgt_Skinner commented on 2020-11-27 18:28

Thank you! @farseerfc

it works perfectly c:

pydvlpr commented on 2020-11-19 14:32

Tested PKGBUILD from farseerfc. Works fine for me and I successfully installed StarUML 4 manually with it. Thx!

farseerfc commented on 2020-11-05 05:10

I rewrite a PKGBUILD for 4.0.0 from deb package:

pkgname=staruml
pkgver=4.0.0
pkgrel=1
pkgdesc="A sophisticated software modeler"
arch=('x86_64')
url="http://staruml.io/"
license=('custom:staruml')
depends=('libxss' 'libxtst' 'nss' 'alsa-lib' 'gtk2')
source=("$pkgname-${pkgver}_amd64.deb::https://staruml.io/download/releases-v4/StarUML_${pkgver}_amd64.deb")
sha256sums=('cb0ab6a19c2e03aac0f92191dfcfed20d480460b68abc17544b40deaa4aad088')

package() {
    # Extract package data
    tar xf data.tar.xz -C "${pkgdir}"

    install -D -m644 "${pkgdir}/opt/StarUML/LICENSES.chromium.html" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
    chmod 4755 "${pkgdir}/opt/StarUML/chrome-sandbox"
    mkdir "${pkgdir}/usr/bin"
    ln -s '/opt/StarUML/staruml' "${pkgdir}/usr/bin/staruml"
}

BORBER commented on 2020-11-05 03:18

Hello Developers 4.0.0 is out now!

maverick1 commented on 2020-09-02 04:12

I don't think gconf is needed. StarUML works even if the build of gconf failed, which was totally my fault, I hadn't installed base-devel package. So the main point is gconf is not needed as a dependency

nphinity commented on 2020-05-17 11:20

Was unable to build this package because of gconf dependency. Removed gconf from the PKGBUILD script, which allowed me to build and install the package. Is gconf really neccesary ?

TheAifam5 commented on 2019-12-17 15:54

Are you sure that this package requires gconf ?

Koffiepoeder commented on 2019-11-14 22:26

The harfbuzz problem has been fixed and an official release was made. To fix the package build you can temporarily edit the following parameters, whilst the package is still not up to date:

pkgver=3.1.1
source_x86_64=("$pkgname-$pkgver-$CARCH.AppImage::http://staruml.io/download/releases/StarUML-$pkgver.AppImage")
sha256sums_x86_64=('fff117b68ee6ceb37a2bd1977fcbb5a7c1351ab2d0cfee86950f6b05224e505c')
sha256sums_i686=('8ecfb924bf4b10f0f5b70c646ced0a230025fac0aac7aaa75be3bf1fee12620b')

cluxter commented on 2019-11-14 11:17

v3.1.1 is out and should solve the recent issues